Bug 1401618 - change to use lockd.conf instead of sysconfig to set module lockd parameters
Summary: change to use lockd.conf instead of sysconfig to set module lockd parameters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-05 17:36 UTC by Steve Dickson
Modified: 2017-04-19 09:23 UTC (History)
5 users (show)

Fixed In Version: nfs-utils-2.1.1-4.rc1.fc25 nfs-utils-2.1.1-4.rc2.fc26 nfs-utils-2.1.1-4.rc2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-14 17:20:07 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Steve Dickson 2016-12-05 17:36:14 UTC
Description of problem:
Change the value of LOCKDARG in /etc/sysconfig/nfs and then restart nfs-config.service. It seems that the arguments setting of LOCKDARG doesn't take effect.
Even rebooting the machine cannot change the lockd setting neither. Maybe during the booting it has load it by a default setting.
The lockd is a kernel module, we can only change it by unload and reload the lockd module. But how can we define the arguments?

So is LOCKDARG in /etc/sysconfig/nfs useless, or the method to load it is with some problem?
Seems the following code of /usr/lib/systemd/scripts/nfs-utils_env.sh seems never works:
[root@hp-dl380pg8-01 ~]# cat /usr/lib/systemd/scripts/nfs-utils_env.sh 
...
[ -n "$LOCKDARG" ] && /sbin/modprobe lockd $LOCKDARG
if [ -n "$LOCKD_TCPPORT" -o -n "$LOCKD_UDPPORT" ]; then
	[ -z "$LOCKDARG" ] && /sbin/modprobe lockd $LOCKDARG
	<snip>
fi
...

Comment 2 Fedora Update System 2017-04-10 22:57:09 UTC
nfs-utils-2.1.1-4.rc2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bca43e3f7e

Comment 3 Fedora Update System 2017-04-11 00:26:40 UTC
nfs-utils-2.1.1-4.rc2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-218c78b2e7

Comment 4 Fedora Update System 2017-04-14 17:20:07 UTC
nfs-utils-2.1.1-4.rc2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2017-04-19 09:23:32 UTC
nfs-utils-2.1.1-4.rc2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.